// Generated by gencpp from file moveit_msgs/QueryPlannerInterfacesResponse.msg
// DO NOT EDIT!


#ifndef MOVEIT_MSGS_MESSAGE_QUERYPLANNERINTERFACESRESPONSE_H
#define MOVEIT_MSGS_MESSAGE_QUERYPLANNERINTERFACESRESPONSE_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>

#include <moveit_msgs/PlannerInterfaceDescription.h>

namespace moveit_msgs
{
template <class ContainerAllocator>
struct QueryPlannerInterfacesResponse_
{
  typedef QueryPlannerInterfacesResponse_<ContainerAllocator> Type;

  QueryPlannerInterfacesResponse_()
    : planner_interfaces()  {
    }
  QueryPlannerInterfacesResponse_(const ContainerAllocator& _alloc)
    : planner_interfaces(_alloc)  {
  (void)_alloc;
    }



   typedef std::vector< ::moveit_msgs::PlannerInterfaceDescription_<ContainerAllocator> , typename ContainerAllocator::template rebind< ::moveit_msgs::PlannerInterfaceDescription_<ContainerAllocator> >::other >  _planner_interfaces_type;
  _planner_interfaces_type planner_interfaces;





  typedef boost::shared_ptr< ::moveit_msgs::QueryPlannerInterfacesResponse_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::moveit_msgs::QueryPlannerInterfacesResponse_<ContainerAllocator> const> ConstPtr;

}; // struct QueryPlannerInterfacesResponse_

typedef ::moveit_msgs::QueryPlannerInterfacesResponse_<std::allocator<void> > QueryPlannerInterfacesResponse;

typedef boost::shared_ptr< ::moveit_msgs::QueryPlannerInterfacesResponse > QueryPlannerInterfacesResponsePtr;
typedef boost::shared_ptr< ::moveit_msgs::QueryPlannerInterfacesResponse const> QueryPlannerInterfacesResponseConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::moveit_msgs::QueryPlannerInterfacesResponse_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::moveit_msgs::QueryPlannerInterfacesResponse_<ContainerAllocator> >::stream(s, "", v);
return s;
}

} // namespace moveit_msgs

namespace ros
{
namespace message_traits
{



// BOOLTRAITS {'IsMessage': True, 'IsFixedSize': False, 'HasHeader': False}
// {'moveit_msgs': ['/home/eaibot/2022_jsjds/ros_ws/devel/.private/moveit_msgs/share/moveit_msgs/msg', '/home/eaibot/2022_jsjds/ros_ws/src/moveit_msgs/msg'], 'std_msgs': ['/home/eaibot/2022_jsjds/ros_ws/install/share/std_msgs/cmake/../msg'], 'actionlib_msgs': ['/home/eaibot/2022_jsjds/ros_ws/install/share/actionlib_msgs/cmake/../msg'], 'sensor_msgs': ['/home/eaibot/2022_jsjds/ros_ws/install/share/sensor_msgs/cmake/../msg'], 'geometry_msgs': ['/home/eaibot/2022_jsjds/ros_ws/install/share/geometry_msgs/cmake/../msg'], 'trajectory_msgs': ['/opt/ros/kinetic/share/trajectory_msgs/cmake/../msg'], 'shape_msgs': ['/home/eaibot/2022_jsjds/ros_ws/install/share/shape_msgs/cmake/../msg'], 'object_recognition_msgs': ['/home/eaibot/2022_jsjds/ros_ws/install/share/object_recognition_msgs/cmake/../msg'], 'octomap_msgs': ['/home/eaibot/2022_jsjds/ros_ws/install/share/octomap_msgs/cmake/../msg']}

// !!!!!!!!!!! ['__class__', '__delattr__', '__dict__', '__dir__', '__doc__', '__eq__', '__format__', '__ge__', '__getattribute__', '__gt__', '__hash__', '__init__', '__init_subclass__', '__le__', '__lt__', '__module__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__setattr__', '__sizeof__', '__str__', '__subclasshook__', '__weakref__', '_parsed_fields', 'constants', 'fields', 'full_name', 'has_header', 'header_present', 'names', 'package', 'parsed_fields', 'short_name', 'text', 'types']




template <class ContainerAllocator>
struct IsMessage< ::moveit_msgs::QueryPlannerInterfacesResponse_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::moveit_msgs::QueryPlannerInterfacesResponse_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::moveit_msgs::QueryPlannerInterfacesResponse_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::moveit_msgs::QueryPlannerInterfacesResponse_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::moveit_msgs::QueryPlannerInterfacesResponse_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::moveit_msgs::QueryPlannerInterfacesResponse_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::moveit_msgs::QueryPlannerInterfacesResponse_<ContainerAllocator> >
{
  static const char* value()
  {
    return "acd3317a4c5631f33127fb428209db05";
  }

  static const char* value(const ::moveit_msgs::QueryPlannerInterfacesResponse_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0xacd3317a4c5631f3ULL;
  static const uint64_t static_value2 = 0x3127fb428209db05ULL;
};

template<class ContainerAllocator>
struct DataType< ::moveit_msgs::QueryPlannerInterfacesResponse_<ContainerAllocator> >
{
  static const char* value()
  {
    return "moveit_msgs/QueryPlannerInterfacesResponse";
  }

  static const char* value(const ::moveit_msgs::QueryPlannerInterfacesResponse_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::moveit_msgs::QueryPlannerInterfacesResponse_<ContainerAllocator> >
{
  static const char* value()
  {
    return "\n\
\n\
PlannerInterfaceDescription[] planner_interfaces\n\
\n\
\n\
================================================================================\n\
MSG: moveit_msgs/PlannerInterfaceDescription\n\
# The name of the planner interface\n\
string name\n\
\n\
# The names of the planner ids within the interface\n\
string[] planner_ids\n\
";
  }

  static const char* value(const ::moveit_msgs::QueryPlannerInterfacesResponse_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::moveit_msgs::QueryPlannerInterfacesResponse_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.planner_interfaces);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct QueryPlannerInterfacesResponse_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::moveit_msgs::QueryPlannerInterfacesResponse_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::moveit_msgs::QueryPlannerInterfacesResponse_<ContainerAllocator>& v)
  {
    s << indent << "planner_interfaces[]" << std::endl;
    for (size_t i = 0; i < v.planner_interfaces.size(); ++i)
    {
      s << indent << "  planner_interfaces[" << i << "]: ";
      s << std::endl;
      s << indent;
      Printer< ::moveit_msgs::PlannerInterfaceDescription_<ContainerAllocator> >::stream(s, indent + "    ", v.planner_interfaces[i]);
    }
  }
};

} // namespace message_operations
} // namespace ros

#endif // MOVEIT_MSGS_MESSAGE_QUERYPLANNERINTERFACESRESPONSE_H
